





#ifndef XANIMDELTAPARTQUAT_H
#define XANIMDELTAPARTQUAT_H

#include "xasset.h"
#include "xanimdeltapartquatdata.h"

class XAnimDeltaPartQuat : public XAsset
{
public:
    explicit XAnimDeltaPartQuat();

    void ParseData(QDataStream *aStream) override;

    quint16 GetSize() const;
    void SetSize(quint16 size);

    const XAnimDeltaPartQuatData& GetData() const;
    void SetData(const XAnimDeltaPartQuatData& data);

private:
    quint16 mSize = 0;
    XAnimDeltaPartQuatData mData;
};

#endif // XANIMDELTAPARTQUAT_H





